Create new or update existing risk entities

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

Body

A list of risk entities to be created or updated

Array [
idstring or null
section_idstring or null
hole_bottom_mdnumber or null, (double)
hole_bottom_tvdnumber or null, (double)
categorystring or null
data_sourcestring or null
detailsstring or null
durationnumber or null, (double)
end_datestring or null, (date-time)
extended_categorystring or null
hole_sizenumber or null, (double)
namestring or null
probabilitystring or null
risk_idstring or null
severitystring or null
start_datestring or null, (date-time)
sub_categorystring or null
summarystring or null
typestring or null
wellbore_namestring or null
well_guidstring or null
risk_start_mdnumber or null, (double)
risk_end_mdnumber or null, (double)
]
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/risks \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    {
      "id": "string",
      "section_id": "string",
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "category": "string",
      "data_source": "string",
      "details": "string",
      "duration": 0.1,
      "end_date": "2019-08-24T14:15:22Z",
      "extended_category": "string",
      "hole_size": 0.1,
      "name": "string",
      "probability": "string",
      "risk_id": "string",
      "severity": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "sub_category": "string",
      "summary": "string",
      "type": "string",
      "wellbore_name": "string",
      "well_guid": "string",
      "risk_start_md": 0.1,
      "risk_end_md": 0.1
    }
  ]'

Responses

Created

Body
total_entity_countinteger, (int32)
created_entity_countinteger, (int32)
updated_entity_countinteger, (int32)
created_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.RiskSearchDto)
updated_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.RiskSearchDto)
entity_violationsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EntityViolation`1[[Slb.DrillPlan.OffsetDataIngestion.Model.Dto.RiskSearchDto, Slb.DrillPlan.OffsetDataIngestion.Model, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]])
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "total_entity_count": 0,
  "created_entity_count": 0,
  "updated_entity_count": 0,
  "created_entities": [
    {
      "well_name": "string",
      "physical_container_name": "string",
      "creation_utc_timestamp": "2019-08-24T14:15:22Z",
      "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
      "version": 0,
      "risk_start_tvd": 0.1,
      "risk_end_tvd": 0.1,
      "risk_max_tvd": 0.1,
      "risk_min_tvd": 0.1,
      "formations": [
        "string"
      ],
      "id": "string",
      "section_id": "string",
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "category": "string",
      "data_source": "string",
      "details": "string",
      "duration": 0.1,
      "end_date": "2019-08-24T14:15:22Z",
      "extended_category": "string",
      "hole_size": 0.1,
      "name": "string",
      "probability": "string",
      "risk_id": "string",
      "severity": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "sub_category": "string",
      "summary": "string",
      "type": "string",
      "wellbore_name": "string",
      "well_guid": "string",
      "risk_start_md": 0.1,
      "risk_end_md": 0.1
    }
  ],
  "updated_entities": [
    {
      "well_name": "string",
      "physical_container_name": "string",
      "creation_utc_timestamp": "2019-08-24T14:15:22Z",
      "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
      "version": 0,
      "risk_start_tvd": 0.1,
      "risk_end_tvd": 0.1,
      "risk_max_tvd": 0.1,
      "risk_min_tvd": 0.1,
      "formations": [
        "string"
      ],
      "id": "string",
      "section_id": "string",
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "category": "string",
      "data_source": "string",
      "details": "string",
      "duration": 0.1,
      "end_date": "2019-08-24T14:15:22Z",
      "extended_category": "string",
      "hole_size": 0.1,
      "name": "string",
      "probability": "string",
      "risk_id": "string",
      "severity": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "sub_category": "string",
      "summary": "string",
      "type": "string",
      "wellbore_name": "string",
      "well_guid": "string",
      "risk_start_md": 0.1,
      "risk_end_md": 0.1
    }
  ],
  "entity_violations": [
    {
      "source": {
        "well_name": "string",
        "physical_container_name": "string",
        "creation_utc_timestamp": "2019-08-24T14:15:22Z",
        "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
        "version": 0,
        "risk_start_tvd": 0.1,
        "risk_end_tvd": 0.1,
        "risk_max_tvd": 0.1,
        "risk_min_tvd": 0.1,
        "formations": [
          "string"
        ],
        "id": "string",
        "section_id": "string",
        "hole_bottom_md": 0.1,
        "hole_bottom_tvd": 0.1,
        "category": "string",
        "data_source": "string",
        "details": "string",
        "duration": 0.1,
        "end_date": "2019-08-24T14:15:22Z",
        "extended_category": "string",
        "hole_size": 0.1,
        "name": "string",
        "probability": "string",
        "risk_id": "string",
        "severity": "string",
        "start_date": "2019-08-24T14:15:22Z",
        "sub_category": "string",
        "summary": "string",
        "type": "string",
        "wellbore_name": "string",
        "well_guid": "string",
        "risk_start_md": 0.1,
        "risk_end_md": 0.1
      },
      "violations": [
        {
          "fatal_violation": true,
          "details": "string"
        }
      ]
    }
  ],
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}